Please sponsor brasero 0.8.0 (main) into Intrepid

Bug #247609 reported by Pedro Fragoso on 2008-07-11
4
Affects Status Importance Assigned to Milestone
brasero (Ubuntu)
Undecided
Michael Vogt

Bug Description

brasero (0.8.0-0ubuntu1) intrepid; urgency=low

  * New upstream release (LP: #247609)
    - Make brasero.desktop follow freedesktop
    - Brasero can't find a proper cd/dvd drive on Solaris
    - Build failure againts gtk+ trunk
    - Brasero crashes with libburn backend
    - Speed is not displayed
    - Can't add files from FAT32 partitions
    - Not displaying drive speed
    - toc image type not autodetected correctly
  * debian/patches/010_lpi.patch:
    - Refresh for new release
  * debian/control:
    - Suggests gstreamer0.10-plugins-bad for normalize plugin

 -- Pedro Fragoso <email address hidden> Tue, 15 Jul 2008 00:51:52 +0100

Related branches

Pedro Fragoso (ember) wrote :
Pedro Fragoso (ember) wrote :

Use this please.

Brasero 0.8 final was released, please upload this version instead of 0.7.91-0ubuntu2 into Ubuntu Intrepid.
This version fixes important bugs - see gnome-bugs #508502 (Can't add files from FAT32 partitions) and #506398 (toc image type not autodetected correctly).
I'm pasting here info from NEWS file (http://svn.gnome.org/viewvc/brasero/trunk/NEWS?view=markup )

Bug fixed:
- #542545 - Make brasero.desktop follow freedesktop
- #542139 - Brasero can't find a proper cd/dvd drive on Solaris
- #541635 - Build failure againts gtk+ trunk
- #538872 - Brasero crashes with libburn backend
- #529418 - Speed is not displayed
- #508502 – Can't add files from FAT32 partitions
- #507651 – Not displaying drive speed
- #506398 – toc image type not autodetected correctly

Michael Vogt (mvo) wrote :
Download full text (6.1 KiB)

Hm, I just tried to build it in my intrepid pbuilder and got the following errors:

...
cc -DHAVE_CONFIG_H -I. -I.. -I.. -I.. -DBRASERO_LOCALE_DIR=\""/usr/share/locale"\" -DBRASERO_PREFIX=\"/usr\" -DBRASERO_SYSCONFDIR=\"/etc\" -DBRASERO_DATADIR=\"/usr/share/brasero\" -DBRASERO_LIBDIR=\"/usr/lib\" -DG_DISABLE_DEPRECATED -DGDK_DISABLE_DEPRECATED -DGDK_PIXBUF_DISABLE_DEPRECATED -DGTK_DISABLE_DEPRECATED -DGNOME_DISABLE_DEPRECATED -DORBIT2=1 -pthread -I/usr/include/gconf/2 -I/usr/include/orbit-2.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -g -O2 -g -Wall -O2 -g -O2 -g -Wall -O2 -pthread -I/usr/include/gstreamer-0.10 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libxml2 -g -O2 -g -Wall -O2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -g -O2 -g -Wall -O2 -DDBUS_API_SUBJECT_TO_CHANGE -DORBIT2=1 -pthread -I/usr/include/hal -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/pango-1.0 -I/usr/include/cairo -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/pixman-1 -I/usr/include/atk-1.0 -I/usr/include/libgnome-2.0 -I/usr/include/orbit-2.0 -I/usr/include/gconf/2 -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/libbonobo-2.0 -I/usr/include/bonobo-activation-2.0 -I/usr/include/libgnomeui-2.0 -I/usr/include/libart-2.0 -I/usr/include/gnome-keyring-1 -I/usr/include/libbonoboui-2.0 -I/usr/include/libgnomecanvas-2.0 -I/usr/include/libxml2 -I/usr/include/gail-1.0 -g -O2 -g -Wall -O2 -I/usr/include/libbeagle -I/usr/include/libxml2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -DORBIT2=1 -pthread -I/usr/include/totem-pl-parser/1/plparser -I/usr/include/libxml2 -I/usr/include/evolution-data-server-2.24 -I/usr/include/gtk-2.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gconf/2 -I/usr/include/libsoup-2.4 -I/usr/include/libbonobo-2.0 -I/usr/include/orbit-2.0 -I/usr/include/bonobo-activation-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/pixman-1 -pthread -I/usr/include/gstreamer-0.10 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libxml2 -g -g -O2 -g -Wall -O2 -c main.c
In file included from /usr/include/libbonoboui-2.0/bonobo/bonobo-dock-band.h:47,
                 from /usr/include/libbonoboui-2.0/bonobo/bonobo-dock.h:55,
                 from /usr/include/libgnomeui-2.0/libgnomeui/gnome-app.h:44,
                 from /usr/include/libgnomeui-2.0/libgnomeui/libgnomeui.h:34,
                 from main.c:43:
/usr/include/libbonoboui-2.0/bonobo/bonobo-dock-item.h:108: error: expected '=', ',', ';', 'asm' or '__attribute__' before 'bonobo_dock_item_get_type'
In file included from /usr/include/libbonoboui-2.0/bonobo/bonobo-dock.h:55,
                 from /usr/include/libgnomeui-2.0/libgnomeui/gnome-app.h:44,
                 from /usr/include/libgnomeui-2.0/libgnomeui/libgnomeui.h:34,
                 from main.c:43:
/usr/include/libbonoboui-2.0...

Read more...

Changed in brasero:
assignee: nobody → mvo
status: New → Incomplete
Pedro Fragoso (ember) wrote :
Changed in brasero:
status: Incomplete → New
Sebastien Bacher (seb128) wrote :

what did you change in the update? could you also attach the dsc?

Pedro Fragoso (ember) wrote :

  * 013_disable_deprecated.patch:
    - Disable DGTK_DISABLE_DEPRECATED to fix FTBFS

Pedro Fragoso (ember) wrote :

brasero (0.8.0-1ubuntu1) intrepid; urgency=low

  * Sync with Debian (LP: #247609)
  * debian/control.in:
    - Build-dep on liblaunchpad-integration-dev
    - Downgrade gstreamer0.10-plugins-bad to Suggests
    - Updated Maintainer info
    - Build-dep on rarian-compat instead of scrollkeeper
  * debian/rules:
    - Pass arg --disable-scrollkeeper
  * debian/patches/010_lpi.patch:
    - Add launchpad integration
  * debian/patches/008-add-gettext-domain-to-desktop-file.patch:
    - Add Ubuntu-Gettext-Domain to Desktop file
  * debian/patches/013_disable_deprecated.patch:
    - Disable DGTK_DISABLE_DEPRECATED to fix FTBFS

 -- Pedro Fragoso <email address hidden> Tue, 22 Jul 2008 02:18:17 +0100

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package brasero - 0.8.0-0ubuntu1

---------------
brasero (0.8.0-0ubuntu1) intrepid; urgency=low

  * New upstream release (LP: #247609)
    - Make brasero.desktop follow freedesktop
    - Brasero can't find a proper cd/dvd drive on Solaris
    - Build failure againts gtk+ trunk
    - Brasero crashes with libburn backend
    - Speed is not displayed
    - Can't add files from FAT32 partitions
    - Not displaying drive speed
    - toc image type not autodetected correctly
  * debian/patches/010_lpi.patch:
    - Refresh for new release
  * 013_disable_deprecated.patch:
    - Disable DGTK_DISABLE_DEPRECATED to fix FTBFS
  * debian/control:
    - Suggests gstreamer0.10-plugins-bad for normalize plugin

 -- Pedro Fragoso <email address hidden> Tue, 15 Jul 2008 00:51:52 +0100

Changed in brasero:
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers